Page MenuHomeFreeBSD

release: Add arm_install_boot to install the commit boot bits
ClosedPublic

Authored by manu on Jul 12 2018, 9:58 AM.

Details

Summary

This reduce the per-board arm_install_uboot to just install u-boot.
While here remove the installation of rpi.dtb and rpi2.dtb as we load
them from the UFS partition via ubldr.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This is a good first step...
I wonder, though about the one item I highlighted.

release/tools/arm.subr
189 ↗(On Diff #45196)

${FATMOUNT}/EFI/BOOT/$(efi_boot_name ${EMBEDDED_TARGET})

might be better, then you don't need the if/then/else here.

This might be useful since it would allow any target.

195 ↗(On Diff #45196)

why are we touching firstboot here?

196 ↗(On Diff #45196)

strictly speaking, this should not be needed...

This revision is now accepted and ready to land.Jul 12 2018, 3:30 PM
release/tools/arm.subr
195 ↗(On Diff #45196)

The growfs(8) rc script depends on it.

release/tools/arm.subr
189 ↗(On Diff #45196)

for arm64 the name is aa64 so this won't work.
I choose this because we need a if/then/else anyway for bootarm/bootaa64 etc ...

196 ↗(On Diff #45196)

I didn't add it.
And I have the old-timer need to do it from time to time but never checked if it's still needed.

release/tools/arm.subr
195 ↗(On Diff #45196)

that's not my question, why is it needed *HERE*.

It's got nothing to do with booting, and is the only reason we mount the UFS fileysstem in this routine.

release/tools/arm.subr
189 ↗(On Diff #45196)

Yes it does. the efi_boot_name fuction would return bootaa64.efi for the first arg being arm64. It would returm bootarm.efi if the first arg is arm.

release/tools/arm.subr
195 ↗(On Diff #45196)

I do not recall why I did it this way. I'm sure I had a reason to do it this way, but it escapes me at the moment.

Add efi_boot_name function and use it to find the correct name for the efi loader.

This revision now requires review to proceed.Jul 16 2018, 1:28 PM
gjb requested changes to this revision.Jul 19 2018, 10:49 PM
This revision now requires changes to proceed.Jul 19 2018, 10:49 PM

You requested changes but did not say what changes.

In D16239#347318, @manu wrote:

You requested changes but did not say what changes.

Sigh. Because Phabricator's UI sucks.

release/arm/RPI-B.conf
26 ↗(On Diff #45365)

UFSMOUNT declaration was removed here, but the mkdir(1) call still has the variable.

release/arm/RPI2.conf
27 ↗(On Diff #45365)

Same here.

Remove UFSMOUNT for RPI-B and RPI2

manu marked 2 inline comments as done.

Meh, I guess you're right about the UI, I just accepted the review when I just wanted to mark comment as done :)

This revision is now accepted and ready to land.Jul 20 2018, 1:14 PM
This revision was automatically updated to reflect the committed changes.